#ifndef __MESSAGES_H__
#define __MESSAGES_H__

typedef struct _Message		Message;
typedef unsigned long		PID;
typedef unsigned long		MessageCode;

struct _Message{										
	Message			*next;
	unsigned short	flags;
	PID				source;
	MessageCode		code;
};

int msg_send(PID pid, Message *msg);

Message *msg_receive();

Message *msg_peek();

Message *msg_receive_tmo(int time);

Message *msg_alloc(unsigned long size, int type);

void msg_free(Message *msg);

#endif
