#include <stdio.h>

#define DATA_WIDTH 16

#if DATA_WIDTH == 32
typedef signed int fixed_point;
#else
typedef signed short int fixed_point;
#endif

#if DATA_WIDTH == 32
#define MASK 0xFFFFFFFF
#else
#define MASK 0x0000FFFF
#endif

unsigned long frameNum;
unsigned long mixed_block_count;
FILE *temp_fp;
FILE *left_data, *right_data;

fixed_point f_adjusted_translate_float(float);
fixed_point f_adjusted_translate_double(double);
void f_temp_print(const char *fmt, ...) __attribute__ ((format (printf, 1, 2)));
