NATIVE = 0;
CCSWAP = 1;

FILE_TYPE = NATIVE;   % change here if you are cross-compiling

fid = fopen('sound.wav', 'r');
[sound_vect_short, sound_vector_size] = fread(fid, inf, 'short=>short', 2);
sound_vect = double(sound_vect_short);
if (FILE_TYPE == CCSWAP)
	for k=1:sound_vector_size
		sound_vect(k) = mod(double(sound_vect_short(k)), 256);
        if (sound_vect(k) > 127)
            sound_vect(k) = sound_vect(k)-256;
        end;
        sound_vect(k) = sound_vect(k)*256 + round(double(sound_vect_short(k))/256);
	end;
end;
fclose(fid);

soundsc(sound_vect, 44100, 16);

