#!/bin/bash
# 
#  MAC_MP3: A Low Energy Implementation of an Audio Decoder
#
#  Copyright (C) 2007 McMaster University
# 
# ==============================================================================
# 
# This file is part of MAC_MP3
# 
# MAC_MP3 is distributed in the hope that it will be useful for further research,
# but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE. MAC_MP3 is free; you can redistribute it
# and/or modify it provided that proper reference is provided to the authors. See
# the documents included in the "doc" folder for further details.
# 
# ==============================================================================

if [ $# -ne 1 ] 
then
	echo "Usage: ./genrom.sh <name of mp3 file without extension>"
	exit
fi

echo -n "Recompile? [n]"
read user_input

case "$user_input" in
	y*|Y*)
		g++ -o from32 from32.cpp
		g++ -o srom srom.cpp
		
		echo
		echo "Compilation finished..."
		read user_input
	;;
	*)
	;;
esac

./from32 $1.mp3 > temp1.txt
./srom temp1.txt bigblock > $1.v

rm temp1.txt

echo "Finish converting $1.mp3..."
